gr::adapt::lms_filter_cc_impl Class Reference

`#include <lms_filter_cc_impl.h>`

Inheritance diagram for gr::adapt::lms_filter_cc_impl:
[legend]

## Public Member Functions

| lms_filter_cc_impl (bool first_input, int num_taps, float mu, unsigned skip, unsigned decimation, bool adapt, bool bypass, bool reset)
| ~lms_filter_cc_impl ()=default
const std::vector< gr_complex > & | get_taps () override
void | set_taps (const std::vector< gr_complex > &new_taps) override
float | get_mu () const override
void | set_mu (float mu) override
unsigned | get_skip () const override
void | set_skip (unsigned skip) override
bool | get_adapt () const override
void | set_adapt (bool adapt) override
bool | get_bypass () const override
void | set_bypass (bool bypass) override
bool | get_reset () const override
void | set_reset (bool reset) override
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items) override

## Protected Member Functions

gr_complex | error (const gr_complex &desired, const gr_complex &out) override
void | update_tap (gr_complex &tap, const gr_complex &in) override

## Additional Inherited Members

Public Types inherited from gr::adapt::lms_filter_cc
typedef boost::shared_ptr< lms_filter_cc > | sptr
Static Public Member Functions inherited from gr::adapt::lms_filter_cc
static sptr | make (bool first_input, int num_taps, float mu, unsigned skip, unsigned decimation, bool adapt, bool bypass, bool reset)

## Constructor & Destructor Documentation

## lms_filter_cc_impl()

gr::adapt::lms_filter_cc_impl::lms_filter_cc_impl | ( | bool | first_input,
|  | int | num_taps,
|  | float | mu,
|  | unsigned | skip,
|  | unsigned | decimation,
|  | bool | adapt,
|  | bool | bypass,
|  | bool | reset
| ) |  |

## ~lms_filter_cc_impl()

gr::adapt::lms_filter_cc_impl::~lms_filter_cc_impl | ( |  | ) |

default

## Member Function Documentation

## error()

gr_complex gr::adapt::lms_filter_cc_impl::error | ( | const gr_complex & | desired,
|  | const gr_complex & | out
| ) |  |

overrideprotectedvirtual

Implements gr::adapt::lms_filter_cc.

## get_adapt()

bool gr::adapt::lms_filter_cc_impl::get_adapt | ( |  | ) | const

overridevirtual

Implements gr::adapt::lms_filter_cc.

## get_bypass()

bool gr::adapt::lms_filter_cc_impl::get_bypass | ( |  | ) | const

overridevirtual

Implements gr::adapt::lms_filter_cc.

## get_mu()

float gr::adapt::lms_filter_cc_impl::get_mu | ( |  | ) | const

overridevirtual

Implements gr::adapt::lms_filter_cc.

## get_reset()

bool gr::adapt::lms_filter_cc_impl::get_reset | ( |  | ) | const

overridevirtual

Implements gr::adapt::lms_filter_cc.

## get_skip()

unsigned gr::adapt::lms_filter_cc_impl::get_skip | ( |  | ) | const

overridevirtual

Implements gr::adapt::lms_filter_cc.

## get_taps()

const std::vector< gr_complex > & gr::adapt::lms_filter_cc_impl::get_taps | ( |  | ) |

overridevirtual

Implements gr::adapt::lms_filter_cc.

## set_adapt()

void gr::adapt::lms_filter_cc_impl::set_adapt | ( | bool | adapt | ) |

overridevirtual

Implements gr::adapt::lms_filter_cc.

## set_bypass()

void gr::adapt::lms_filter_cc_impl::set_bypass | ( | bool | bypass | ) |

overridevirtual

Implements gr::adapt::lms_filter_cc.

## set_mu()

void gr::adapt::lms_filter_cc_impl::set_mu | ( | float | mu | ) |

overridevirtual

Implements gr::adapt::lms_filter_cc.

## set_reset()

void gr::adapt::lms_filter_cc_impl::set_reset | ( | bool | reset | ) |

overridevirtual

Implements gr::adapt::lms_filter_cc.

## set_skip()

void gr::adapt::lms_filter_cc_impl::set_skip | ( | unsigned | skip | ) |

overridevirtual

Implements gr::adapt::lms_filter_cc.

## set_taps()

void gr::adapt::lms_filter_cc_impl::set_taps | ( | const std::vector< gr_complex > & | new_taps | ) |

overridevirtual

Implements gr::adapt::lms_filter_cc.

## update_tap()

void gr::adapt::lms_filter_cc_impl::update_tap | ( | gr_complex & | tap,
|  | const gr_complex & | in
| ) |  |

overrideprotectedvirtual

Implements gr::adapt::lms_filter_cc.

## work()

int gr::adapt::lms_filter_cc_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

override

The documentation for this class was generated from the following file:

- lms_filter_cc_impl.h